var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { motion } from 'framer-motion';
import React, { forwardRef } from 'react';
import { Layer } from '../../layout/Layer';
import { getActivityIndicatorAccessibilityProps } from './accessibility/getActivityIndicatorAccessibilityProps';
const transition = { repeat: Infinity, type: 'ease', duration: 0.75 };
const animate = {
    rotate: 360
};
const ActivityIndicator = forwardRef((_a, ref) => {
    var { color } = _a, others = __rest(_a, ["color"]);
    return (React.createElement(Layer, Object.assign({ ref: ref, animate: animate, transition: transition, width: 32, height: 32 }, others),
        React.createElement(motion.svg, { height: '100%', width: '100%', viewBox: '0 0 32 32' },
            React.createElement(motion.circle, Object.assign({ cx: '16', cy: '16', fill: 'none', r: '14', strokeWidth: '4', stroke: color, opacity: 0.2 }, getActivityIndicatorAccessibilityProps())),
            React.createElement(motion.circle, { cx: '16', cy: '16', fill: 'none', r: '14', strokeWidth: '4', stroke: color, strokeDasharray: 80, strokeDashoffset: 60 }))));
});
ActivityIndicator.displayName = 'ActivityIndicator';
export { ActivityIndicator };
//# sourceMappingURL=index.js.map