import React from 'react';
import { useTheme } from '../../../../../context';
import { VirtualList, Layer } from '../../../../layout';
import { SuggestionItem, SUGGESTION_ITEM_HEIGHT } from '../SuggestionItem';
export function SuggestionsList({ filteredData, getLabel, onItemPress, multiple }) {
    const { spacings } = useTheme();
    const renderItem = ({ item, index }) => {
        const label = getLabel(item);
        const handleItemPress = () => {
            onItemPress(item);
        };
        return (React.createElement(SuggestionItem, { key: `${item.id}`, label: label, itemData: item, isMultiple: multiple, onPress: handleItemPress, addSeparator: index !== filteredData.length - 1 }));
    };
    return (React.createElement(Layer, { padding: spacings.m, flex: 1 }, filteredData.length > 0 && (React.createElement(VirtualList, { data: filteredData, estimatedItemSize: SUGGESTION_ITEM_HEIGHT, renderItem: renderItem }))));
}
//# sourceMappingURL=index.native.js.map