var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { motion } from 'framer-motion';
import React, { forwardRef } from 'react';
import styled from 'styled-components';
import { extractBackgroundProps, extractBorderProps, extractDimensionProps, extractDisplayProps, extractTextProps, extractWebProps, extractPlaceholder, shouldForwardProp } from '../../../../sharedProps';
import { getBaseTextFieldAccessibilityProps } from '../accessibility/getBaseTextFieldAccessibilityProps';
import { getHTMLInputTypeAndInputModeAttributesForKeyboardType } from './util/getHTMLInputTypeAndInputModeAttributesForKeyboardTyp';
const StyledTextInput = styled(motion.input).withConfig({
    shouldForwardProp
}) `
    outline: none;
    border-width: 0;
    ${extractPlaceholder};
    ${extractBackgroundProps};
    ${extractDimensionProps};
    ${extractDisplayProps};
    ${extractBorderProps};
    ${extractTextProps};
    ${extractWebProps};
    user-select: auto;
`;
const BaseTextField = forwardRef((_a, ref) => {
    var { onChangeText, onSubmitEditing, placeholder, secureTextEntry, from, currentVariant, animate, placeholderTextColor, autoCapitalize = 'sentences', keyboardType = 'default' } = _a, others = __rest(_a, ["onChangeText", "onSubmitEditing", "placeholder", "secureTextEntry", "from", "currentVariant", "animate", "placeholderTextColor", "autoCapitalize", "keyboardType"]);
    const { type, inputMode } = getHTMLInputTypeAndInputModeAttributesForKeyboardType(keyboardType);
    const handleChange = (event) => onChangeText && onChangeText(event.target.value);
    const handleKeydown = (keyboardEvent) => {
        if (keyboardEvent.key === 'Enter') {
            onSubmitEditing === null || onSubmitEditing === void 0 ? void 0 : onSubmitEditing();
        }
    };
    return (React.createElement(StyledTextInput, Object.assign({ ref: ref, placeholder: placeholder, onChange: handleChange, onKeyDown: handleKeydown, type: secureTextEntry ? 'password' : type, initial: currentVariant ? 'from' : from, animate: currentVariant !== null && currentVariant !== void 0 ? currentVariant : animate, placeholderTextColor: placeholderTextColor, autoCapitalize: autoCapitalize, inputMode: inputMode }, getBaseTextFieldAccessibilityProps(placeholder), others)));
});
BaseTextField.displayName = 'BaseTextField';
export { BaseTextField };
//# sourceMappingURL=index.js.map