/// <reference types="react" />
import { LayerProps } from '../../layout';
import { IDEnabled } from './AutoComplete/types';
interface MultiSelectInputProps<T> extends Omit<LayerProps, 'children'> {
    options: T[];
    getOptionLabel: (option: T) => string;
    onSelect: (values: T[]) => void;
    onDeletePress: (item: T) => void;
    onClearPress?: () => void;
    onChangeText: (text: string) => void;
    onSubmitEditing: () => void;
    clearButtonText?: string;
    inputValue?: string;
    controllableSelectedOptions: T[];
    placeholder?: string;
    enableClearButton?: boolean;
    chipListStyle?: Omit<LayerProps, 'children'>;
}
export declare function MultiSelectInput<T extends IDEnabled>({ options, getOptionLabel, clearButtonText, onSelect, onClearPress, onDeletePress, inputValue, controllableSelectedOptions, onChangeText, placeholder, onSubmitEditing, enableClearButton, chipListStyle, ...layerProps }: MultiSelectInputProps<T>): JSX.Element;
export {};
