var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from 'react';
import styled from 'styled-components';
import { motion } from 'framer-motion';
import { useTheme } from '../../../../context/hooks/useTheme';
import { extractBackgroundProps, extractBorderProps, extractDimensionProps, extractDisplayProps, extractPlaceholder, extractTextProps, extractWebProps, shouldForwardProp } from '../../../../sharedProps';
const StyledTextArea = styled(motion.textarea).withConfig({
    shouldForwardProp
}) `
    appearance: none;
    outline: none;
    border-width: 0;
    ${extractPlaceholder};
    ${extractBackgroundProps};
    ${extractDimensionProps};
    ${extractDisplayProps};
    ${extractBorderProps};
    ${extractTextProps};
    ${extractWebProps};
    user-select: auto;
`;
export function TextArea(_a) {
    var { value, onChangeText, style, placeholder, numberOfLines = 1, editable = true } = _a, others = __rest(_a, ["value", "onChangeText", "style", "placeholder", "numberOfLines", "editable"]);
    const { colors, borderRadius, spacings, textVariants, sizes } = useTheme();
    const handleChangeText = (event) => {
        onChangeText === null || onChangeText === void 0 ? void 0 : onChangeText(event.target.value);
    };
    return (React.createElement(StyledTextArea, Object.assign({ value: value, onChange: handleChangeText, placeholderTextColor: colors.placeholder, placeholder: placeholder, borderRadius: borderRadius.s, color: colors.text, backgroundColor: colors.textField, fontSize: 14, padding: spacings.s, fontFamily: textVariants.normal.fontFamily, height: sizes.textFieldHeight, style: style, readOnly: !editable, dir: 'auto', rows: numberOfLines }, others)));
}
//# sourceMappingURL=index.js.map