var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { motion } from 'framer-motion';
import React, { forwardRef } from 'react';
import styled from 'styled-components';
import { FractalSharedCss, shouldForwardProp } from '../../../sharedProps';
const StyledLayer = styled(motion.div).withConfig({
    shouldForwardProp
}) `
    ${FractalSharedCss}
    &:focus {
        outline-color: initial;
        outline-style: none;
        outline-width: initial;
    }
`;
const Layer = forwardRef((
// eslint-disable-next-line @typescript-eslint/no-unused-vars
_a, ref) => {
    var 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    { from, currentVariant, animate, transition = { type: 'spring' }, children, onLayout: _onLayout } = _a, others = __rest(_a, 
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    ["from", "currentVariant", "animate", "transition", "children", "onLayout"]);
    return (React.createElement(StyledLayer, Object.assign({ ref: ref, flexDirection: 'column', initial: currentVariant ? 'from' : from, animate: currentVariant !== null && currentVariant !== void 0 ? currentVariant : animate, transition: transition }, others), children));
});
Layer.displayName = 'Layer';
export { Layer };
//# sourceMappingURL=index.js.map