var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { motify } from 'moti';
import React, { forwardRef } from 'react';
import { View } from 'react-native';
import styled from 'styled-components/native';
import { useVariantState } from '../../../animations/native/hooks/useVariantState';
import { FractalSharedCss } from '../../../sharedProps';
const MotiView = motify(View)();
const StyledLayer = styled(MotiView) `
    ${FractalSharedCss};
`;
// eslint-disable-next-line @typescript-eslint/no-unused-vars
const Layer = forwardRef((_a, ref) => {
    var { currentVariant, variants, layout } = _a, others = __rest(_a, ["currentVariant", "variants", "layout"]);
    const variantState = useVariantState(currentVariant, variants);
    return React.createElement(StyledLayer, Object.assign({ ref: ref, state: variantState }, others));
});
Layer.displayName = 'Layer';
export { Layer };
//# sourceMappingURL=index.native.js.map