import React, { forwardRef } from 'react';
import { useTheme } from '../../context';
import { ActivityIndicator } from '../feedback/ActivityIndicator';
import { Background } from './Background';
const LoadingBackground = forwardRef((props, ref) => {
    const { colors } = useTheme();
    return (React.createElement(Background, Object.assign({ ref: ref, justifyContent: 'center', alignItems: 'center' }, props),
        React.createElement(ActivityIndicator, { color: colors.mainInteractiveColor })));
});
LoadingBackground.displayName = 'LoadingBackground';
export { LoadingBackground };
//# sourceMappingURL=LoadingBackground.js.map