var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { motify } from 'moti';
import React, { forwardRef } from 'react';
import { ScrollView as RNScrollView } from 'react-native';
import styled from 'styled-components/native';
import { useVariantState } from '../../../animations/native/hooks/useVariantState';
import { FractalSharedCss } from '../../../sharedProps';
const MotiScrollView = motify(RNScrollView)();
const StyledScrollView = styled(MotiScrollView) `
    ${FractalSharedCss};
`;
const ScrollView = forwardRef((_a, ref) => {
    var { currentVariant, variants, horizontal, flexShrink, flexDirection } = _a, others = __rest(_a, ["currentVariant", "variants", "horizontal", "flexShrink", "flexDirection"]);
    const variantState = useVariantState(currentVariant, variants);
    return (React.createElement(StyledScrollView, Object.assign({ ref: ref, state: variantState, horizontal: horizontal, flexDirection: horizontal ? 'row' : flexDirection, flexShrink: horizontal && flexShrink === undefined ? 1 : flexShrink }, others)));
});
ScrollView.displayName = 'Layer';
export { ScrollView };
//# sourceMappingURL=index.native.js.map