import React, { forwardRef } from 'react';
import styled from 'styled-components';
import { Layer } from '../Layer';
import { getGridRowAccessibilityProps } from './accessibility/getGridRowAccessibilityProps';
import { extractGridItemProps } from './types';
const StyledGrid = styled(Layer) `
    ${extractGridItemProps};
`;
const GridRow = forwardRef((props, ref) => (React.createElement(StyledGrid, Object.assign({ ref: ref, flexDirection: 'row' }, props, getGridRowAccessibilityProps()))));
GridRow.displayName = 'GridRow';
export { GridRow };
//# sourceMappingURL=GridRow.js.map