import { ReactElement, CSSProperties } from 'react';
import { Range, Virtualizer } from '@tanstack/react-virtual';
interface VirtualizerWrapperProps<TItem> {
    data: TItem[];
    estimatedItemSize: number;
    children: (virtualizer: Virtualizer<HTMLDivElement, Element>) => ReactElement;
    horizontal?: boolean;
    keyExtractor?: (item: TItem, index: number) => string;
    rangeExtractor?: (range: Range) => void;
    customWebContainerStyle?: CSSProperties;
}
export declare function VirtualizerWrapper<TItem>({ data, estimatedItemSize, horizontal, keyExtractor, rangeExtractor, children, customWebContainerStyle }: VirtualizerWrapperProps<TItem>): JSX.Element;
export {};
