import { alignWebPopoverIfRequired } from './alignWebPopoverIfRequired';
export function getWebPlacementOffsetStyle(anchorRef, popoverRef, placement) {
    let style = {};
    if (anchorRef.current && popoverRef.current) {
        const { offsetHeight } = anchorRef.current;
        const { offsetWidth } = anchorRef.current;
        const { offsetLeft } = anchorRef.current;
        const { offsetTop } = anchorRef.current;
        const popoverWidth = popoverRef.current.offsetWidth;
        const popoverHeight = popoverRef.current.offsetHeight;
        if (placement === 'bottom') {
            style = {
                left: offsetLeft + offsetWidth / 2,
                top: offsetHeight,
                transform: 'translateX(-50%)'
            };
        }
        if (placement === 'top') {
            style = {
                left: offsetLeft + offsetWidth / 2,
                top: offsetTop - popoverHeight,
                transform: 'translateX(-50%)'
            };
        }
        if (placement === 'left') {
            style = {
                left: offsetLeft - popoverWidth,
                top: offsetTop + offsetHeight / 2,
                transform: 'translateY(-50%)'
            };
        }
        if (placement === 'right') {
            style = {
                left: offsetLeft + offsetWidth,
                top: offsetTop + offsetHeight / 2,
                transform: 'translateY(-50%)'
            };
        }
        style = alignWebPopoverIfRequired(style, anchorRef.current, popoverWidth, popoverHeight, placement);
        return style;
    }
    return undefined;
}
//# sourceMappingURL=getWebPlacementOffsetStyle.js.map