var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { forwardRef } from 'react';
import { Pressable } from '../../interactive/buttons/Pressable';
import { SafeAreaLayer } from '../../layout/SafeAreaLayer';
import { Modal } from './Modal';
const modalAnimationStyles = {
    initial: { opacity: 0 },
    animate: { opacity: 1 }
};
const pressableAnimationStyles = {
    initial: { opacity: 0 },
    animate: { opacity: 0.6 }
};
const DimmedModal = forwardRef((_a, ref) => {
    var { visible, onDismiss, onExitComplete } = _a, others = __rest(_a, ["visible", "onDismiss", "onExitComplete"]);
    return (React.createElement(Modal, { ref: ref, visible: visible, onDismiss: onDismiss, from: modalAnimationStyles.initial, animate: modalAnimationStyles.animate, exit: modalAnimationStyles.initial, onExitComplete: onExitComplete },
        React.createElement(Pressable, { zIndex: 999, onPress: onDismiss, position: 'absolute', width: '100%', height: '100%', backgroundColor: '#000000', from: pressableAnimationStyles.initial, animate: pressableAnimationStyles.animate, exit: pressableAnimationStyles.initial, transition: { type: 'spring' } }),
        React.createElement(SafeAreaLayer, Object.assign({ zIndex: 1000 }, others))));
});
DimmedModal.displayName = 'DimmedModal';
export { DimmedModal };
//# sourceMappingURL=DimmedModal.js.map