import React, { useEffect, useRef } from 'react';
import { Box } from '../../layout/Box';
import { Layer } from '../../layout/Layer';
import { Text } from '../../text/Text';
export function Toast({ message, close, duration, margin }) {
    const savedCallback = useRef(close);
    useEffect(() => {
        savedCallback.current = close;
    }, [close]);
    useEffect(() => {
        if (duration === null)
            return;
        const id = setTimeout(() => savedCallback.current(), duration);
        return () => clearTimeout(id);
    }, [duration]);
    return (React.createElement(Layer, { layout: true, from: { opacity: 0 }, animate: { opacity: 1 }, exit: { opacity: 0 }, margin: margin },
        React.createElement(Box, { layout: true },
            React.createElement(Layer, { layout: true },
                React.createElement(Text, null, message)))));
}
//# sourceMappingURL=Toast.js.map