import { useCallback } from 'react';
import Toast from 'react-native-root-toast';
import { useTheme } from '../../../../context/hooks/useTheme';
export function useToast() {
    const { colors } = useTheme();
    return useCallback((message, options) => {
        Toast.show(message, {
            duration: options === null || options === void 0 ? void 0 : options.duration,
            backgroundColor: colors.foreground,
            textColor: colors.text
        });
    }, [colors.foreground, colors.text]);
}
//# sourceMappingURL=index.native.js.map