import React, { createContext, useState } from 'react';
import { AlertModal } from '../components/overlays/alert/AlertModal';
export const AlertContext = createContext(() => { });
export function AlertProvider({ children }) {
    const [isOpen, setIsOpen] = useState(false);
    const [alertData, setAlertData] = useState();
    const onOpen = () => {
        setIsOpen(true);
    };
    const onClose = () => {
        setIsOpen(false);
    };
    const alert = (title, message, buttons) => {
        setAlertData({ title, message, buttons });
        onOpen();
    };
    return (React.createElement(AlertContext.Provider, { value: alert },
        children,
        React.createElement(AlertModal, Object.assign({ visible: isOpen, onDismiss: onClose }, alertData))));
}
//# sourceMappingURL=AlertContext.js.map