import React, { useEffect } from 'react';
import { ToastProvider } from '../components/overlays/toast/ToastProvider';
import { ThemeContent } from '../components/ThemeContent';
import { AlertProvider } from '../context/AlertContext';
import { ThemeIdentifierProvider } from '../context/ThemeIdentifierContext';
import { startFractalApp } from '../executionEnvironment';
export function FractalAppRoot({ children, handleThemeManually = false, lightTheme, darkTheme }) {
    useEffect(() => {
        startFractalApp();
    }, []);
    return (React.createElement(ThemeIdentifierProvider, { handleThemeManually: handleThemeManually },
        React.createElement(ThemeContent, { lightTheme: lightTheme, darkTheme: darkTheme },
            React.createElement(AlertProvider, null,
                React.createElement(ToastProvider, null, children)))));
}
//# sourceMappingURL=FractalAppRoot.js.map